Loading...
Searching...
No Matches
Opm::GasPhase< Scalar, ComponentT > Class Template Reference

Represents the gas phase of a single (pseudo-) component. More...

`#include <GasPhase.hpp>`

## Public Types

typedef ComponentT | Component
| The type of the phase's underlying (pseudo-) component.

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for the component.
static bool | isLiquid ()
| Returs whether the fluid is a liquid.
static bool | isCompressible ()
| Returns true iff the fluid is assumed to be compressible.
static bool | isIdealGas ()
| Returns true iff the fluid is assumed to be an ideal gas.
static Scalar | molarMass ()
| The mass in [kg] of one mole of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure of the component.
static Scalar | tripleTemperature ()
| Returns the temperature at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure at the component's triple point.
template<class Evaluation>
static Evaluation | vaporPressure (const Evaluation &temperature)
| The vapor pressure in [N/m^2] of the component at a given temperature.
template<class Evaluation>
static Evaluation | density (const Evaluation &temperature, const Evaluation &pressure)
| The density [kg/m^3] of the component at a given pressure and temperature.
template<class Evaluation>
static Evaluation | pressure (const Evaluation &temperature, const Evaluation &density)
| The pressure [Pa] of the component at a given density and temperature.
template<class Evaluation>
static Evaluation | enthalpy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy [J/kg] the pure component as a gas.
template<class Evaluation>
static Evaluation | internalEnergy (const Evaluation &temperature, const Evaluation &pressure)
| Specific internal energy [J/kg] the pure component as a gas.
template<class Evaluation>
static Evaluation | viscosity (const Evaluation &temperature, const Evaluation &pressure)
| The dynamic viscosity [Pa s] of the pure component at a given pressure and temperature.
template<class Evaluation>
static Evaluation | thermalConductivity (const Evaluation &temperature, const Evaluation &pressure)
| Thermal conductivity of the fluid [W/(m^2 K/m)].
template<class Evaluation>
static Evaluation | heatCapacity (const Evaluation &temperature, const Evaluation &pressure)
| Specific isobaric heat capacity of the fluid [J/kg].

## Detailed Description

template<class Scalar, class ComponentT>
class Opm::GasPhase< Scalar, ComponentT >

Represents the gas phase of a single (pseudo-) component.

## Member Function Documentation

## density()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::density | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density [kg/m^3] of the component at a given pressure and temperature.

## enthalpy()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::enthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy [J/kg] the pure component as a gas.

## heatCapacity()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::heatCapacity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific isobaric heat capacity of the fluid [J/kg].

## internalEnergy()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::internalEnergy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific internal energy [J/kg] the pure component as a gas.

## pressure()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::pressure | ( | const Evaluation & | temperature,
|  | const Evaluation & | density )

inline static

The pressure [Pa] of the component at a given density and temperature.

Parameters

  temperature | The temperature of interest [K]
  density | The density of interest [kg / m^3]

## thermalConductivity()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::thermalConductivity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Thermal conductivity of the fluid [W/(m^2 K/m)].

## vaporPressure()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::vaporPressure | ( | const Evaluation & | temperature | ) |

inline static

The vapor pressure in [N/m^2] of the component at a given temperature.

## viscosity()

template<class Scalar, class ComponentT>
template<class Evaluation>

Evaluation Opm::GasPhase< Scalar, ComponentT >::viscosity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The dynamic viscosity [Pa s] of the pure component at a given pressure and temperature.

The documentation for this class was generated from the following file:

- opm/material/fluidsystems/GasPhase.hpp